
public class Vare {
  String varenavn; // navn p det som kan kjpes
  int beholdning; // antallet som er ikke solgt

  Vare(String varenavn, int beholdning) {
    if (beholdning < 0) {
      System.out.println("Feil beholdning: " + beholdning +
                         "\nDen m vre mer enn 0 varer.\n" +
                         "Satt til 0.");
      beholdning = 0;
    }
    this.varenavn = varenavn;
    this.beholdning = beholdning;
  }

  public String hentVarenavn() {
    return this.varenavn;
  }

  public int hentBeholdning() {
    return this.beholdning;
  }

  public void settBeholdning(int beholdning) {
    if (beholdning < 0) {
      System.out.println("Feil beholdning: " + beholdning +
                         "\nDen m vre mer enn 0 varer.");
      return;
    }
    this.beholdning = beholdning;
  }

  @Override
  public String toString() { // overkjrer toString() fra Object-klassen
    return "\nVarenavn: " + this.varenavn + "\tBeholdning: " + this.beholdning;
  }
}